package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairClose;
import com.repair.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-08-04
 */
public interface RepairCloseService extends IService<RepairClose> {
    int insertRepairClose(RepairClose rns);

    int updateRepairClose(RepairClose rns);

    PageUtils<RepairClose> queryPageRepairCloses(int currentPage, int pageCount, String name);

    int deleteRepairCloseById(int id);

    RepairClose getRepairById(int id);

    List<RepairClose> getRepairs();
}
